<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (11) on Fri Jul 03 01:46:42 IDT 2020 -->
<title>GitHubUser</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-07-03">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
<script type="text/javascript" src="../../../../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../../../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../../../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../../../jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="../../../../jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="../../../../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="GitHubUser";
        }
    }
    catch(err) {
    }
//-->
var data = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../../../../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">com.hadassah.demo.repos</a></div>
<h2 title="Class GitHubUser" class="title">Class GitHubUser</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>com.hadassah.demo.repos.GitHubUser</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<pre>@Entity
public class <span class="typeNameLabel">GitHubUser</span>
extends java.lang.Object</pre>
<div class="block">The Github user entity that goes into the db.
 This object is created through form of the search.html view.
 The <a href="GitHubUserRepo.html" title="interface in com.hadassah.demo.repos"><code>GitHubUserRepo</code></a> handles instanced of this object in the DB.
 We automatically create this object also through <code>RestTemplate.getForObject(URI, Class)</code> function</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Field</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#followers">followers</a></span></code></th>
<td class="colLast">
<div class="block">the ammount of followers for this user.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#html_url">html_url</a></span></code></th>
<td class="colLast">
<div class="block">url to this user's github page</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private long</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#id">id</a></span></code></th>
<td class="colLast">
<div class="block">a unique id generated for each instance to be saved in DB</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private @NotNull(message="github username is mandatory") @NotBlank(message="github username cannot be blank!") java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#login">login</a></span></code></th>
<td class="colLast">
<div class="block">the login for the github user, it is validated to be required and not empty</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#searched">searched</a></span></code></th>
<td class="colLast">
<div class="block">a hitcount of how many times this github user was searched for through our site</div>
</td>
</tr>
</table>
</li>
</ul>
</section>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E()">GitHubUser</a></span>()</code></th>
<td class="colLast">
<div class="block">an empty constructor so it can get created for the form</div>
</td>
</tr>
<tr class="rowColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E(java.lang.String)">GitHubUser</a></span>&#8203;(java.lang.String&nbsp;username)</code></th>
<td class="colLast">
<div class="block">a constructor to create this with username from the form submit</div>
</td>
</tr>
</table>
</li>
</ul>
</section>
<!-- ========== METHOD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getFollowers()">getFollowers</a></span>()</code></th>
<td class="colLast">
<div class="block">Gets followers.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getHtml_url()">getHtml_url</a></span>()</code></th>
<td class="colLast">
<div class="block">Gets link.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getLogin()">getLogin</a></span>()</code></th>
<td class="colLast">
<div class="block">Gets username.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getSearched()">getSearched</a></span>()</code></th>
<td class="colLast">
<div class="block">Gets searched.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#increment()">increment</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setFollowers(int)">setFollowers</a></span>&#8203;(int&nbsp;followers)</code></th>
<td class="colLast">
<div class="block">Sets new followers.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setHtml_url(java.lang.String)">setHtml_url</a></span>&#8203;(java.lang.String&nbsp;link)</code></th>
<td class="colLast">
<div class="block">Sets new link.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setLogin(java.lang.String)">setLogin</a></span>&#8203;(java.lang.String&nbsp;username)</code></th>
<td class="colLast">
<div class="block">Sets new username.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setSearched(int)">setSearched</a></span>&#8203;(int&nbsp;searched)</code></th>
<td class="colLast">
<div class="block">Sets new searched.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a id="id">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>id</h4>
<pre>private&nbsp;long id</pre>
<div class="block">a unique id generated for each instance to be saved in DB</div>
</li>
</ul>
<a id="login">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>login</h4>
<pre>@NotNull(message="github username is mandatory")
@NotBlank(message="github username cannot be blank!")
private&nbsp;@NotNull(message="github username is mandatory") @NotBlank(message="github username cannot be blank!") java.lang.String login</pre>
<div class="block">the login for the github user, it is validated to be required and not empty</div>
</li>
</ul>
<a id="html_url">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>html_url</h4>
<pre>private&nbsp;java.lang.String html_url</pre>
<div class="block">url to this user's github page</div>
</li>
</ul>
<a id="followers">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>followers</h4>
<pre>private&nbsp;int followers</pre>
<div class="block">the ammount of followers for this user.
 Marked as transient as to not save into the DB</div>
</li>
</ul>
<a id="searched">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>searched</h4>
<pre>private&nbsp;int searched</pre>
<div class="block">a hitcount of how many times this github user was searched for through our site</div>
</li>
</ul>
</li>
</ul>
</section>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a id="&lt;init&gt;()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>GitHubUser</h4>
<pre>public&nbsp;GitHubUser()</pre>
<div class="block">an empty constructor so it can get created for the form</div>
</li>
</ul>
<a id="&lt;init&gt;(java.lang.String)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>GitHubUser</h4>
<pre>public&nbsp;GitHubUser&#8203;(java.lang.String&nbsp;username)</pre>
<div class="block">a constructor to create this with username from the form submit</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>username</code> - string representing the username login</dd>
</dl>
</li>
</ul>
</li>
</ul>
</section>
<!-- ============ METHOD DETAIL ========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a id="getFollowers()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getFollowers</h4>
<pre class="methodSignature">public&nbsp;int&nbsp;getFollowers()</pre>
<div class="block">Gets followers.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Value of followers.</dd>
</dl>
</li>
</ul>
<a id="setFollowers(int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setFollowers</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setFollowers&#8203;(int&nbsp;followers)</pre>
<div class="block">Sets new followers.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>followers</code> - New value of followers.</dd>
</dl>
</li>
</ul>
<a id="getLogin()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getLogin</h4>
<pre class="methodSignature">public&nbsp;java.lang.String&nbsp;getLogin()</pre>
<div class="block">Gets username.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Value of username.</dd>
</dl>
</li>
</ul>
<a id="setLogin(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setLogin</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setLogin&#8203;(java.lang.String&nbsp;username)</pre>
<div class="block">Sets new username.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>username</code> - New value of username.</dd>
</dl>
</li>
</ul>
<a id="increment()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>increment</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;increment()</pre>
</li>
</ul>
<a id="getHtml_url()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getHtml_url</h4>
<pre class="methodSignature">public&nbsp;java.lang.String&nbsp;getHtml_url()</pre>
<div class="block">Gets link.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Value of link.</dd>
</dl>
</li>
</ul>
<a id="setHtml_url(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setHtml_url</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setHtml_url&#8203;(java.lang.String&nbsp;link)</pre>
<div class="block">Sets new link.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>link</code> - New value of link.</dd>
</dl>
</li>
</ul>
<a id="getSearched()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSearched</h4>
<pre class="methodSignature">public&nbsp;int&nbsp;getSearched()</pre>
<div class="block">Gets searched.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Value of searched.</dd>
</dl>
</li>
</ul>
<a id="setSearched(int)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>setSearched</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setSearched&#8203;(int&nbsp;searched)</pre>
<div class="block">Sets new searched.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>searched</code> - New value of searched.</dd>
</dl>
</li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
